#ifndef BULLET_HPP
#define BULLET_HPP

#include <cstdint>

class Bullet {
public:
  Bullet(float x, float y);
  ~Bullet(void);

  void Render(void);
  void Update(void);
  void HitDone(void);

  // The Strength of the Bullet - to know how much Life it takes to Enemies
  uint16_t Power;

  // Size of the Bullet for the rendering method
  uint16_t Size;

  // Coordinates of the Bullet and its speed
  float BulletX;
  float BulletY;
  float Speed;
  float DX, DY;

  // Marker to know when this bullet can be deleted
  bool ToBeDeleted;

  // The Color of the Bullet
  uint16_t Color;
};

#endif