#ifndef TOWER_HPP
#define TOWER_HPP

#include <cstdint>

class Tower {
public:
  Tower(void);
  ~Tower(void);

  void Render(void);
  void Update(void);
  void Shoot(void);

  // The Life - Game is over when reached 0
  uint16_t Life;

  // The strength of the base, gives the power of the bullets emitted from the
  // tower
  uint16_t Power;

  // The size of the area to be defended
  uint16_t Radius;

  // RTC tick at the time of last bullet shot, used to know when we can shoot
  // again
  uint16_t TimeLastShot;

  // Level of the Tower, to know which Level of Ennemies and which wave of
  // Ennemies can be launched
  uint16_t Level;

  // color of the Tower
  uint16_t Color;
};

#endif